Bug 1574325 (CVE-2018-10529) - CVE-2018-10529 LibRaw: Out-of-bounds read in X3F property table list functionality in libraw_x3f.cpp and libraw_cxx.cpp
Summary: CVE-2018-10529 LibRaw: Out-of-bounds read in X3F property table list function...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-10529
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1574329 1543597 1574326 1574327 1574328 1575863 1633708
Blocks: 1574330
TreeView+ depends on / blocked
 
Reported: 2018-05-03 05:09 UTC by Sam Fowler
Modified: 2020-04-22 04:31 UTC (History)
6 users (show)

Fixed In Version: LibRaw 0.18.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-22 04:31:48 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-05-03 05:09:20 UTC
LibRaw through version 0.18.9 is vulnerable to an out-of-bounds read in the X3F property table list implementation in libraw_x3f.cpp and libraw_cxx.cpp. An attacker could exploit this to cause a crash via crafted file.


Upstream Issue:

https://github.com/LibRaw/LibRaw/issues/144

Upstream Patch:

https://github.com/LibRaw/LibRaw/commit/f0c505a3e5d47989a5f69be2d0d4f250af6b1a6c

Comment 1 Sam Fowler 2018-05-03 05:10:50 UTC
Created LibRaw tracking bugs for this issue:

Affects: epel-6 [bug 1574329]
Affects: fedora-all [bug 1574326]


Created mingw-LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1574327]

Comment 4 Debarshi Ray 2018-09-27 13:30:27 UTC
This was fixed in LibRaw 0.19 Beta-4.

Comment 7 Product Security DevOps Team 2020-04-22 04:31:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10529


Note You need to log in before you can comment on or make changes to this bug.